package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class SatuanKecil
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "SatuanKecil_M")
public class SatuanKecilVO extends BaseMasterVO {
	@ManyToOne
	@JoinColumn(name = "ObjectDepartemenFk")
	@NotNull(message="Object DepartemenVO Harus Diisi")
	@Caption(value="Object Departemen")
	private DepartemenVO departemen;

	public void setDepartemen(DepartemenVO departemen) {
		this.departemen = departemen;
	}

	@Column(name = "KdDepartemen", nullable = false , length = 1)
	public DepartemenVO getDepartemen(){
		return this.departemen;
	}

	@Column(name = "ObjectDepartemenFk", insertable=false,updatable=false)
	private Integer departemenId;

	@ManyToOne
	@JoinColumn(name = "ObjectKelompokProdukFk")
	@Caption(value="Object Kelompok Produk")
	private KelompokProdukVO kelompokProduk;

	public void setKelompokProduk(KelompokProdukVO kelompokProduk) {
		this.kelompokProduk = kelompokProduk;
	}

	@Column(name = "KdKelompokProduk", nullable = true )
	public KelompokProdukVO getKelompokProduk(){
		return this.kelompokProduk;
	}

	@Column(name = "ObjectKelompokProdukFk", insertable=false,updatable=false)
	private Integer kelompokProdukId;

	@Caption(value="Kode Satuan Kecil")
	private Byte kdSatuanKecil;

	public void setKdSatuanKecil(Byte kdSatuanKecil) {
		this.kdSatuanKecil = kdSatuanKecil;
	}

	@Column(name = "KdSatuanKecil", nullable = false )
	public Byte getKdSatuanKecil(){
		return this.kdSatuanKecil;
	}

	@Caption(value="QSatuan Kecil")
	private Byte qSatuanKecil;

	public void setqSatuanKecil(Byte qSatuanKecil) {
		this.qSatuanKecil = qSatuanKecil;
	}

	@Column(name = "QSatuanKecil", nullable = false )
	public Byte getqSatuanKecil(){
		return this.qSatuanKecil;
	}

	@Caption(value="Satuan Kecil")
	private String satuanKecil;

	public void setSatuanKecil(String satuanKecil) {
		this.satuanKecil = satuanKecil;
	}

	@Column(name = "SatuanKecil", nullable = false , length = 20)
	public String getSatuanKecil(){
		return this.satuanKecil;
	}


}

